Subject: [pkix] Finalizing the work on the CMP transport "CMPtrans" document

From: "Peylo, Martin (NSN - FI/Espoo)" <[email-masked]>
Date: Fri, 9 Jul 2010 15:20:04 +0300

Hi pkix Working Group,

as you might already have seen, I have been modifying the "draft-ietf-pkix-cmp-transport-protocols" document.  Although this document had been "allowed to die in 2004" by the original authors, I would like to open it again and will join the pkix WG session on the 25th this month to ask the pkix WG for accepting me to work on it officially.

Finalizing this document is a pure necessity; without it there is no way for implementing RFC compliant transport of CMP messages.  RFC 4210 refers to its transport to be specified in CMPtrans, Work in Progress.

I assume that the idea to finalize the document was never officially dropped, the pkix WG charter still includes "Sep 2007 Progression of CRMF, CMP, and CMP Transport to DRAFT Standard" as Goal and Milestone. As CMPv2 is now going to be used by 3GPP (see e.g. release 10 of 3GPP TS 33.310), there is a more urgent need to have future-proof transport implementations.

During working on a CMP client implementation, I had encountered that the available CMP implementations were generally not compatible on the transport level, as they were basing on different versions of the CMP transport draft.  After longer discussions with various implementers (e.g. of cryptlib, Insta Certifier and EJBCA), the general tenor was that HTTP transport is the most commonly used one for CMPv2.  This is as it is easy to implement utilizing existing HTTP implementations, best to use as it can e.g. traverse network boundaries using existing HTTP proxies without modifications and anyway there is no need for the earlier proprietary TCP-Messaging transport layer anymore as CMPv2 (in contrast to CMPv1) includes polling natively.  This HTTP transport for CMP now needs to be defined in more detail to enable more detailed implementations of RFC 4210 to interact in the future.

I'm looking forward discussing this topic with you in Maastricht and would be happy to hear opinions about the ideas already available in the last version at <http://tools.ietf.org/html/draft-ietf-pkix-cmp-transport-protocols>.

Kind regards,
Martin

Martin Peylo
Software Security Specialist
NSN Research / Security Technologies

Säterinportti E6
Linnoitustie 6, 02600 Espoo, Finland
Tel: +358 50 486 7051
http://www.nokiasiemensnetworks.com/global/